Method: advertisers.reachForecast.retrievePlannableUserInterests

检索可用于预测的 Google 受众群体(用户兴趣)。

HTTP 请求

GET https://displayvideo.googleapis.com/v4/advertisers/{advertiserId}/reachForecast:retrievePlannableUserInterests

网址采用 gRPC 转码语法。

路径参数

参数
advertiserId

string (int64 format)

必需。要列出可规划的用户兴趣的广告客户的 ID。

查询参数

参数
productCategory

enum (PlannableProductCategory)

必需。要检索可规划的用户兴趣的商品类别。

请求正文

请求正文必须为空。

响应正文

reachForecast.retrievePlannableUserInterests 的响应。

如果成功,响应正文将包含结构如下的数据:

JSON 表示法
{
  "plannableUserInterests": [
    {
      object (PlannableUserInterest)
    }
  ]
}
字段
plannableUserInterests[]

object (PlannableUserInterest)

可规划的用户兴趣(Google 受众群体)列表。

授权范围

需要以下 OAuth 范围:

  • https://www.googleapis.com/auth/display-video

如需了解详情,请参阅 OAuth 2.0 Overview

PlannableUserInterest

用于定位的可规划的用户兴趣。

JSON 表示法
{
  "userInterestDisplayName": string,
  "userInterestPath": string,
  "userInterestType": string,
  "userInterest": {
    object (UserInterest)
  }
}
字段
userInterestDisplayName

string

仅限输出。兴趣的显示名,例如“户外爱好者”。

userInterestPath

string

仅限输出。兴趣的类别路径。

userInterestType

string

仅限输出。受众群体类型,例如“AFFINITY”“IN_MARKET”。

userInterest

object (UserInterest)

仅限输出。用户兴趣的标识符。

请求中指定的 [productCategory][] 决定了对象中填充的字段。

  • 对于“YouTube”,系统会填充 [userInterestCategory][]。
  • 对于“公开竞价”,系统会填充 [userInterestUserList][]。

UserInterest

用户兴趣的标识符。

JSON 表示法
{
  "userInterestCategory": string,
  "userInterestUserList": string
}
字段
userInterestCategory

string

仅限输出。兴趣类别的资源名称。当 productCategory 为“YouTube”时填充。格式:customers/{customerId}/userInterests/{user_interest_id}

userInterestUserList

string

仅限输出。用户名单的资源名称。当 productCategory 为“公开竞价”时填充。格式:customers/{customerId}/userLists/{user_list_id}